Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.maf.atp
Class AtpRequestImpl

    java.lang.Object
      |
      +--com.ibm.maf.atp.AtpRequestImpl

All Implemented Interfaces:
  com.ibm.maf.atp.AtpRequest

public final class AtpRequestImpl
extends java.lang.Object
implements com.ibm.maf.atp.AtpRequest

Version:
  1.10 $Date :$
Author:
  Mitsuru Oshima

Constructor Summary
`AtpRequestImpl(java.io.InputStream in)`

Method Summary
`Name` | `getAgentName()`
`java.lang.String` | `getAgentNameAsString()`
`AgentProfile` | `getAgentProfile()`
`int` | `getContentLength()`
`java.lang.String` | `getFetchClassFile()`
`java.io.InputStream` | `getInputStream()`
`int` | `getMethod()`
`java.lang.String` | `getPlaceName()`
`java.lang.String` | `getRequestLine()`
`java.lang.String` | `getRequestParameter(java.lang.String key)`
`java.lang.String` | `getRequestParameter(java.lang.String key, java.lang.String defValue)`
`java.lang.String` | `getSender()`
`void` | `parseHeaders()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AtpRequestImpl

    public AtpRequestImpl(java.io.InputStream in)
                   throws java.io.IOException

Method Detail

### getAgentName

    public Name getAgentName()

  Specified by:
    `getAgentName` in interface `com.ibm.maf.atp.AtpRequest`

### getAgentNameAsString

    public java.lang.String getAgentNameAsString()

  Specified by:
    `getAgentNameAsString` in interface `com.ibm.maf.atp.AtpRequest`

### getAgentProfile

    public AgentProfile getAgentProfile()

  Specified by:
    `getAgentProfile` in interface `com.ibm.maf.atp.AtpRequest`

### getContentLength

    public int getContentLength()

  Specified by:
    `getContentLength` in interface `com.ibm.maf.atp.AtpRequest`

### getFetchClassFile

    public java.lang.String getFetchClassFile()

  Specified by:
    `getFetchClassFile` in interface `com.ibm.maf.atp.AtpRequest`

### getInputStream

    public java.io.InputStream getInputStream()

  Specified by:
    `getInputStream` in interface `com.ibm.maf.atp.AtpRequest`

### getMethod

    public int getMethod()

  Specified by:
    `getMethod` in interface `com.ibm.maf.atp.AtpRequest`

### getPlaceName

    public java.lang.String getPlaceName()

  Specified by:
    `getPlaceName` in interface `com.ibm.maf.atp.AtpRequest`

### getRequestLine

    public java.lang.String getRequestLine()

  Specified by:
    `getRequestLine` in interface `com.ibm.maf.atp.AtpRequest`

### getRequestParameter

    public java.lang.String getRequestParameter(java.lang.String key)

  Specified by:
    `getRequestParameter` in interface `com.ibm.maf.atp.AtpRequest`

### getRequestParameter

    public java.lang.String getRequestParameter(java.lang.String key,
                                                java.lang.String defValue)

### getSender

    public java.lang.String getSender()

  Specified by:
    `getSender` in interface `com.ibm.maf.atp.AtpRequest`

### parseHeaders

    public void parseHeaders()
                      throws java.io.IOException

  Specified by:
    `parseHeaders` in interface `com.ibm.maf.atp.AtpRequest`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD